Skip to main content
POST
/
cardproduct
/
{card_product_id}
/
uxt_cardart
Upload Card Art to the Marqeta UX Toolkit
curl --request POST \
  --url https://api.treasuryprime.com/cardproduct/{card_product_id}/uxt_cardart \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "asset_type": "front",
  "file_id": "file_11jnd0n3nx"
}
'
{}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

card_product_id
string
required

The ID of the card product to upload card art for

Body

application/json

The card.cardart to create

asset_type
string
required

Which side/asset of the card the image represents

card_product_id
string
required

The ID of the card product to upload card art for

file_id
string
required

The ID of a previously uploaded File (via POST /file) containing a PNG image

Response

200 - application/json

The card.cardart created

asset_type
string

Which side/asset of the card the image represents

card_product_id
string

The ID of the card product to upload card art for

file_id
string

The ID of a previously uploaded File (via POST /file) containing a PNG image